Page MenuHome

Blender show cyrillic capital letter «Ё» as «Е»
Closed, ResolvedPublicBUG

Description

System Information
Operating system: Windows-7-6.1.7601-SP1 64 Bits
Graphics card: GeForce GTX 660 Ti/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 442.19

Blender Version
Broken: version: 2.82 (sub 7), branch: master, commit date: 2020-02-12 16:20, hash: rB77d23b0bd76f

Yes, it is mistake, yes this are different letters and sounds.
Blender saves correct symbol. It seems, line height is not enough for diacritic marks above capital letters, because there is same problem with Й.
And I assume, Deutsch capital letters with umlauts will suffer too.

Short description of error

Revisions and Commits

Event Timeline

Ankit (ankitm) changed the task status from Needs Triage to Confirmed.Feb 22 2020, 6:18 AM
Ankit (ankitm) added a project: User Interface.

This works for me exactly as shown if I leave everything as default. But this is because the default font does not contain many international characters.

So if you enable the international font (Edit / Preferences / Interface / Translation checkmark (no need to select a language), then you get...

"International font" doesn't help in my case.


bfont.ttf, bmonofont.ttf, droidsans.ttf

@Harley Acheson (harley) sadly the same. Even with 2.79. International font not help at all.
Changing font to another (Dotum, Open Sans) helps. So something wrong with built-in font, perhaps.

So default font need to be checked

Sorry, I understand what is going on.

First I was seeing different results because I was testing with "latin capital letter e with diaeresis" (0xCB) Ë, while the character in the object name is "Cyrillic capital letter io" (0x401) Ё. In other applications these two characters look the same so I didn't realize I was using the wrong character. Ë&Ё

That character definitely should have that diaeresis, as described here: https://en.wikipedia.org/wiki/Yo_(Cyrillic)

But in our international font we do not include it. In the following capture shows that glyph highlighted.

But note also that the glyph to the left of it also looks like a regular E even though it should have a grave accent. As described here: https://en.wikipedia.org/wiki/Ye_with_grave

So have some issues with this section of our "droidsans" font. But ideally someone familiar with these characters would point out if there are any other characters in the capture above that look incorrect so we can fix them all at once. These fonts are huge so I’d prefer to fix everything in this section at once, rather than a character at a time.

I can tell you exactly what those three letters are wrong.

Ё Й б

https://ru.wikipedia.org/wiki/Ё
https://ru.wikipedia.org/wiki/Й
https://ru.wikipedia.org/wiki/Б

"δ" this looks very strange :)
Объект
Оδъект

I can't imagine how this can all be fixed.
Can't we just get some good font and use it?

@Yevgeny Makarov (jenkm) wrote:
I can tell you exactly what those three letters are wrong.

Hey @Yevgeny Makarov (jenkm)! Are you familiar enough with these characters to be authoritative on this?

I can't imagine how this can all be fixed.

It can be fixed fairly easily. The hard part is finding someone to say "yes, this is perfect now", so hopefully that can be you.

Can't we just get some good font and use it?

This might be hard to believe, but there isn't really any other font like our international font. It is a meta-font containing about 54,000 glyphs so that it can be used for a large number of languages simultaneously.

That section, the main unicode range for Cyrillic (U+0400 - U+4FF) and continuing to about U+0525 were originally taken from DejaVuSans, which is what you used as a reference for your "correct" characters. So updating that section to the latest version of that same font results in characters like this:

But again, must be checked carefully by someone very familiar with these characters.

@Yevgeny Makarov (jenkm) δ — is legal variance of б. Esp. in handwriting. But yes, it looks strange in non-italic sans

If it makes it easier to test, here is a proposed version of the font:

Are you familiar enough with these characters to be authoritative on this?

Since childhood :)

δ — is legal variance of б. Esp. in handwriting.

Yes, it looks like a handwritten one, but it's just a different/incorrect glyph.
The tail is too short, we don't write like that.

Here is a proposed version of the font.

It looks a lot better.

An alternative in case you like this better, taken from the latest version of DroidSans, which also makes up a large portion of our meta-font:

I think the first one is better, more consistent with the Latin ones, and more like what we have now. The second is too narrow.

How about that one character you mention? δ or б, not sure which character it was exactly.
Is there changes that could be made to make it better? Any examples from similar fonts?

Looks like you were talking about lowercase Be, https://en.wikipedia.org/wiki/Be_(Cyrillic) , and am guessing this one is only a problem in the current font now being used.

It's already fixed in your updated font, you don't have to do anything else :)

Although the plan is to always use only the international fonts, at the moment we still have to keep the regular and international versions in sync. And also have to make sure that the mono-spaced versions are also similar. Here is a zip containing all four fonts.

Yup, this latest droidsans fixes problem. And yes, correct letter «б» Thanks.
I hope it will be included to new packs.

Bastien Montagne (mont29) changed the subtype of this task from "Report" to "Bug".Feb 24 2020, 11:25 AM